Method: customEmojis.delete | Google Chat | Google for Developers (original) (raw)
Deletes a custom emoji. By default, users can only delete custom emoji they created. Emoji managers assigned by the administrator can delete any custom emoji in the organization. See Learn about custom emojis in Google Chat.
Custom emojis are only available for Google Workspace accounts, and the administrator must turn custom emojis on for the organization. For more information, see Learn about custom emojis in Google Chat and Manage custom emoji permissions.
Requires user authentication with the authorization scope:
https://www.googleapis.com/auth/chat.customemojis
HTTP request
DELETE https://chat.googleapis.com/v1/{name=customEmojis/*}
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
| name | string Required. Resource name of the custom emoji to delete.Format: customEmojis/{customEmoji}You can use the emoji name as an alias for {customEmoji}. For example, customEmojis/:example-emoji: where :example-emoji: is the emoji name for a custom emoji. |
Request body
The request body must be empty.
Response body
If successful, the response body is an empty JSON object.
Requires the following OAuth scope:
https://www.googleapis.com/auth/chat.customemojis
For more information, see the Authorization guide.